summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-09-14 13:07:19 +0200
committer Eric Hameleers <alien@slackware.com>2019-09-14 13:07:19 +0200
commite661683d4ed5c18b3aefdb052ae16b2c08e2148e (patch)
tree41cb87871f8876463ad42df041f3f90c76c826de
parentfbbb5d0dcac60152cf8a6ac40fa9cae9fc798303 (diff)
downloadktown-e661683d4ed5c18b3aefdb052ae16b2c08e2148e.tar.gz
ktown-e661683d4ed5c18b3aefdb052ae16b2c08e2148e.tar.xz
Deps/telepathy: updates
New versions of libsignon-glib and telepathy-accounts-signon.
-rw-r--r--deps/telepathy/libsignon-glib/.url2
-rw-r--r--deps/telepathy/libsignon-glib/fetch-libsignon-glib.sh15
-rwxr-xr-xdeps/telepathy/libsignon-glib/libsignon-glib.SlackBuild56
-rw-r--r--deps/telepathy/telepathy-accounts-signon/.url2
-rwxr-xr-xdeps/telepathy/telepathy-accounts-signon/telepathy-accounts-signon.SlackBuild43
5 files changed, 75 insertions, 43 deletions
diff --git a/deps/telepathy/libsignon-glib/.url b/deps/telepathy/libsignon-glib/.url
index c9b5dce..6761332 100644
--- a/deps/telepathy/libsignon-glib/.url
+++ b/deps/telepathy/libsignon-glib/.url
@@ -1 +1 @@
-https://gitlab.com/accounts-sso/libsignon-glib/repository/VERSION_1.14/archive.tar.gz
+https://gitlab.com/accounts-sso/libsignon-glib/repository/VERSION_2.1/archive.tar.gz
diff --git a/deps/telepathy/libsignon-glib/fetch-libsignon-glib.sh b/deps/telepathy/libsignon-glib/fetch-libsignon-glib.sh
new file mode 100644
index 0000000..fa11ce4
--- /dev/null
+++ b/deps/telepathy/libsignon-glib/fetch-libsignon-glib.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# Fetch a versioned tarball, and update the git submodules as well:
+
+VERSION=${VERSION:-2.1}
+
+git clone https://gitlab.com/accounts-sso/libsignon-glib.git libsignon-glib-${VERSION}
+cd libsignon-glib-${VERSION}
+ git submodule init
+ git submodule update
+ rm -rf .git*
+cd - 1>/dev/null
+tar -Jcf libsignon-glib-${VERSION}.tar.xz libsignon-glib-${VERSION}
+rm -rf libsignon-glib-${VERSION}
+
diff --git a/deps/telepathy/libsignon-glib/libsignon-glib.SlackBuild b/deps/telepathy/libsignon-glib/libsignon-glib.SlackBuild
index 5be4ac2..c465126 100755
--- a/deps/telepathy/libsignon-glib/libsignon-glib.SlackBuild
+++ b/deps/telepathy/libsignon-glib/libsignon-glib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -22,9 +22,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=libsignon-glib
-VERSION=${VERSION:-"1.14"}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-"2.1"}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,10 +39,6 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
-
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
SLKLDFLAGS=""
@@ -65,6 +63,19 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -82,25 +93,18 @@ find . \
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
export LDFLAGS="$SLKLDFLAGS"
-
-if [ ! -x configure ]; then
- ./autogen.sh
-fi
-
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --disable-python \
- --disable-static \
- --build=$TARGET
-
-# No parallel make:
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+mkdir build
+cd build
+ meson \
+ --prefix /usr \
+ --libdir /usr/lib${LIBDIRSUFFIX} \
+ -Dtests=false \
+ ..
+
+ # No parallel make:
+ "${NINJA:=ninja}" || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd - 1>/dev/null
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
diff --git a/deps/telepathy/telepathy-accounts-signon/.url b/deps/telepathy/telepathy-accounts-signon/.url
index 9a0c0e1..e2f9f8b 100644
--- a/deps/telepathy/telepathy-accounts-signon/.url
+++ b/deps/telepathy/telepathy-accounts-signon/.url
@@ -1 +1 @@
-https://gitlab.com/accounts-sso/telepathy-accounts-signon/repository/archive.tar.gz?ref=1.0
+https://gitlab.com/accounts-sso/telepathy-accounts-signon/repository/archive.tar.gz?ref=2.0
diff --git a/deps/telepathy/telepathy-accounts-signon/telepathy-accounts-signon.SlackBuild b/deps/telepathy/telepathy-accounts-signon/telepathy-accounts-signon.SlackBuild
index 5eef854..335356c 100755
--- a/deps/telepathy/telepathy-accounts-signon/telepathy-accounts-signon.SlackBuild
+++ b/deps/telepathy/telepathy-accounts-signon/telepathy-accounts-signon.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015, 2016, 2017, 2018 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -22,11 +22,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=telepathy-accounts-signon
-VERSION=${VERSION:-"1.0"}
-BUILD=${BUILD:-5}
+cd $(dirname $0) ; CWD=$(pwd)
-NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
+PKGNAM=telepathy-accounts-signon
+VERSION=${VERSION:-"2.0"}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -56,7 +56,16 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -64,7 +73,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-${VERSION}*
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-${VERSION}*.tar.?z || exit 1
cd $PKGNAM-${VERSION}* || exit 1
chown -R root:root .
find . \
@@ -73,14 +82,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5 \
-PATH=$QTDIR/bin:$PATH \
- qmake \
- PREFIX=/usr \
- LIBDIR=/usr/lib${LIBDIRSUFFIX}
-
-make $NUMJOBS || make || exit 1
-make install INSTALL_ROOT=$PKG || exit 1
+mkdir build
+cd build
+ QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5 \
+ PATH=$QTDIR/bin:$PATH \
+ meson \
+ --prefix /usr \
+ --libdir /usr/lib${LIBDIRSUFFIX} \
+ ..
+
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd - 1>/dev/null
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la